List Fees
Get all fees for an order.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
order_id
ID of the order.
store_hash
Permanent ID of the BigCommerce store.
Response
OK
id
The unique numeric identifier of the fees object.
type
The type of the fee.
Allowed values:
display_name_customer
The display name of the fee targeting customers.
display_name_merchant
The display name of the fee targeting shoppers.
source
The source of the request.
base_cost
The base fee cost value. (Float, Float-As-String, Integer)
cost_ex_tax
The fee cost value excluding tax. (Float, Float-As-String, Integer)
cost_inc_tax
The fee cost value including tax. (Float, Float-As-String, Integer)
cost_tax
The tax amount on the fee cost. (Float, Float-As-String, Integer)
tax_class_id
A unique numeric identifier for the tax class. If not persisted or null, the default fee tax class from the control panel is used.
Errors
404
Not Found Error